using System;
using System.IO;
using System.Net.Http;

var dir = new DirectoryInfo("/var/data");

var files = dir.GetFiles();

string resultFilePath = "/var/result/data.txt";
try
{
    int[] mass = new int[files.Length];
    int i = 0;
    // Создаем новый файл или перезаписываем существующий
    using (StreamWriter writer = new StreamWriter(resultFilePath, false))
    {
        foreach (var file in files)
        {
            // Записываем в файл количество символов в имени каждого файла
            writer.WriteLine(file.Name.Length);
            mass[i] = file.Name.Length;
            i++;
        }
    }
    Console.WriteLine("Успешно! Результат: ");
    foreach (var item in mass)
    {
        Console.WriteLine(item);
    }
}
catch (Exception ex)
{
    Console.WriteLine("Ошибка: " + ex.Message);
}